Name: getdns
Version: 0.1.1
Release: 1%{?dist}
Summary: Implementation of the getdns API
License: BSD
Group: System Environment/Libraries
URL: http://github.com/getdnsapi/%{name}
Source0: http://github.com/getdnsapi/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires: ldns-devel libidn-devel unbound-devel
%description
getdns is a modern asynchronous DNS API intended to make all types of DNS
information easily available as described by Paul Hoffman. This implementation
is licensed under the New BSD License (BSD-new).

%package devel
Summary: Development files for getdns
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
This package contains header files and libraries needed to compile
applications or shared objects that use getdns.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/libgetdns.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc
%{_libdir}/libgetdns-0.1.1.so.0
%{_libdir}/libgetdns-0.1.1.so.0.0.0

%files devel
%{_libdir}/libgetdns.so
%{_includedir}/getdns/getdns.h
%{_includedir}/getdns/getdns_extra.h
%{_mandir}/man3/getdns_address.3.gz
%{_mandir}/man3/getdns_address_sync.3.gz
%{_mandir}/man3/getdns_cancel_callback.3.gz
%{_mandir}/man3/getdns_context.3.gz
%{_mandir}/man3/getdns_context_create.3.gz
%{_mandir}/man3/getdns_context_create_with_extended_memory_functions.3.gz
%{_mandir}/man3/getdns_context_create_with_memory_functions.3.gz
%{_mandir}/man3/getdns_context_destroy.3.gz
%{_mandir}/man3/getdns_context_set.3.gz
%{_mandir}/man3/getdns_context_set_append_name.3.gz
%{_mandir}/man3/getdns_context_set_context_update_callback.3.gz
%{_mandir}/man3/getdns_context_set_dns_root_servers.3.gz
%{_mandir}/man3/getdns_context_set_dns_transport.3.gz
%{_mandir}/man3/getdns_context_set_follow_redirects.3.gz
%{_mandir}/man3/getdns_context_set_limit_outstanding_queries.3.gz
%{_mandir}/man3/getdns_context_set_namespaces.3.gz
%{_mandir}/man3/getdns_context_set_resolution_type.3.gz
%{_mandir}/man3/getdns_context_set_timeout.3.gz
%{_mandir}/man3/getdns_convert.3.gz
%{_mandir}/man3/getdns_convert_dns_name_to_fqdn.3.gz
%{_mandir}/man3/getdns_convert_fqdn_to_dns_name.3.gz
%{_mandir}/man3/getdns_dict.3.gz
%{_mandir}/man3/getdns_dict_create.3.gz
%{_mandir}/man3/getdns_dict_destroy.3.gz
%{_mandir}/man3/getdns_dict_get.3.gz
%{_mandir}/man3/getdns_dict_get_bindata.3.gz
%{_mandir}/man3/getdns_dict_get_data_type.3.gz
%{_mandir}/man3/getdns_dict_get_dict.3.gz
%{_mandir}/man3/getdns_dict_get_int.3.gz
%{_mandir}/man3/getdns_dict_get_list.3.gz
%{_mandir}/man3/getdns_dict_get_names.3.gz
%{_mandir}/man3/getdns_dict_set.3.gz
%{_mandir}/man3/getdns_dict_set_bindata.3.gz
%{_mandir}/man3/getdns_dict_set_dict.3.gz
%{_mandir}/man3/getdns_dict_set_int.3.gz
%{_mandir}/man3/getdns_dict_set_list.3.gz
%{_mandir}/man3/getdns_free_sync_request_memory.3.gz
%{_mandir}/man3/getdns_general.3.gz
%{_mandir}/man3/getdns_general_sync.3.gz
%{_mandir}/man3/getdns_hostname.3.gz
%{_mandir}/man3/getdns_hostname_sync.3.gz
%{_mandir}/man3/getdns_list.3.gz
%{_mandir}/man3/getdns_list_create.3.gz
%{_mandir}/man3/getdns_list_destroy.3.gz
%{_mandir}/man3/getdns_list_get.3.gz
%{_mandir}/man3/getdns_list_get_bindata.3.gz
%{_mandir}/man3/getdns_list_get_data_type.3.gz
%{_mandir}/man3/getdns_list_get_dict.3.gz
%{_mandir}/man3/getdns_list_get_int.3.gz
%{_mandir}/man3/getdns_list_get_length.3.gz
%{_mandir}/man3/getdns_list_get_list.3.gz
%{_mandir}/man3/getdns_list_set.3.gz
%{_mandir}/man3/getdns_list_set_bindata.3.gz
%{_mandir}/man3/getdns_list_set_dict.3.gz
%{_mandir}/man3/getdns_list_set_int.3.gz
%{_mandir}/man3/getdns_list_set_list.3.gz
%{_mandir}/man3/getdns_service.3.gz
%{_mandir}/man3/getdns_service_sync.3.gz
%{_mandir}/man3/libgetdns.3.gz
%{_docdir}/getdns/AUTHORS
%{_docdir}/getdns/COPYING
%{_docdir}/getdns/ChangeLog
%{_docdir}/getdns/INSTALL
%{_docdir}/getdns/LICENSE
%{_docdir}/getdns/NEWS
%{_docdir}/getdns/README.md
%{_docdir}/getdns/spec/getdns-0.5.tgz
%{_docdir}/getdns/spec/index.html

%changelog
* Thu Mar 27 2014 Pavel Šimerda <psimerda@redhat.com> - 0.1.1-1
- initial build
